<?php

return [

    /**
     * Provider.
     */
    'provider'  => 'assetdocs',

    /*
     * Package.
     */
    'package'   => 'facilities',

    /*
     * Modules.
     */
    'modules'   => ['facility'],

    
    'facility'       => [
        'model' => [
            'model'                 => \Assetdocs\Facilities\Models\Facility::class,
            'table'                 => 'facilities',
            'presenter'             => \Assetdocs\Facilities\Repositories\Presenter\FacilityPresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['id',  'name',  'division_id',  'clientid',  'image',  'created_at',  ')',  'updated_at',  'deleted_at',  'PRIMARY'],
            'translatables'         => [],
            'upload_folder'         => 'facilities/facility',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Assetdocs',
            'package'   => 'Facilities',
            'module'    => 'Facility',
        ],

    ],
];
